<div
        [class.flex-wrap]="isSmallScreen"
        class="container-fluid d-flex align-items-center p-0">
    <div class="title-wrapper flex-fill">
        <h3 id="heading" class="m-0">Appoinments</h3>
    </div>
    <div class="d-flex align-items-center justify-content-end h-100">

        <button mat-stroked-button
                color="primary"
                [disabled]="(this.schedulerManageService.displayRoomSubject.asObservable() | async) || selectedButton === SCHEDULE"
                class="no-underline matchBorderColor appt-header-btn create-appt-btn"
                *appAccess="APPT_BASIC; lookFor: 'C'"
                (click)="onButtonClick(CREATE_APPT)">
            Create Appt
        </button>

        <button *appAccess="APPT_BASIC; lookFor: _any"
                mat-stroked-button
                color="primary"
                class="no-underline matchBorderColor appt-header-btn wait-list-btn" (click)="onButtonClick(WAIT_LIST)">
            Wait
            List
            <kendo-badge *ngIf="waitListCount > 0" rounded="medium" themeColor="error">{{waitListCount}}</kendo-badge>
        </button>

        <button mat-stroked-button
                [class.selected]="selectedButton == SCHEDULE"
                [disabled]="this.schedulerManageService.displayRoomSubject.asObservable() | async"
                *appAccess="APPT_SCHEDULE; lookFor: 'C'"
                color="primary"
                class="no-underline matchBorderColor appt-header-btn schedule-btn" (click)="onButtonClick(SCHEDULE)">
            Schedule
        </button>

        <button mat-stroked-button
                [class.selected]="selectedButton == ROOMS"
                color="primary"
                class="no-underline matchBorderColor appt-header-btn rooms-btn"
                *appAccess="APPT_BASIC; lookFor: 'V'"
                (click)="onButtonClick(selectedButton == ROOMS ? ROOMS_ACTIVE : ROOMS)">Rooms
        </button>
    </div>
</div>
